/**
 * Objet3D applet de reprsentation d'objets en 3D
 * Copyright (C) 1998 Mickal Guessant
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier
 * selon les termes de la Licence Publique Gnrale GNU publie par la 
 * Free Software Foundation (version 2 ou bien toute autre version ultrieure
 * choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE 
 * GARANTIE, ni explicite ni implicite, y compris les garanties de 
 * commercialisation ou d'adaptation dans un but spcifique. Reportez-vous
 *  la Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en 
 * mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 * MA 02111-1307, tats-Unis.
 *
 * @author Mickal Guessant guessant@multimania.com
 *
 * Genere cube.dat
 */

import java.io.*;
import java.awt.Color;

class Cube {

  public static void main(String argv[]) {
    int blanc = Color.white.getRGB();
    double sommets[][] = {{0, 0, 0}, {1, 0, 0}, {1, 1, 0}, {0, 1, 0},
                          {0, 0, 1}, {1, 0, 1}, {1, 1, 1}, {0, 1, 1},
                         };
    int facettes[][] = {{(int)(Math.random() * 16777215), 0, 1, 2, 3},
                        {(int)(Math.random() * 16777215), 0, 1, 5, 4},
                        {(int)(Math.random() * 16777215), 1, 2, 6, 5},
                        {(int)(Math.random() * 16777215), 2, 3, 7, 6},
                        {(int)(Math.random() * 16777215), 0, 3, 7, 4},
                        {(int)(Math.random() * 16777215), 4, 5, 6, 7}
                       };

    try {
      // ouverture du fichier
      DataOutputStream dos = new DataOutputStream(
        new FileOutputStream("cube.dat"));

      dos.writeInt(sommets.length);

      for (int i = 0; i < sommets.length; i++) {
        dos.writeDouble(sommets[i][0]);
        dos.writeDouble(sommets[i][1]);
        dos.writeDouble(sommets[i][2]);
      }

      dos.writeInt(facettes.length);

      for (int i = 0; i < facettes.length; i++) {
        dos.writeInt(facettes[i][0]);
        dos.writeInt(4);
        dos.writeInt(facettes[i][1]);
        dos.writeInt(facettes[i][2]);
        dos.writeInt(facettes[i][3]);
        dos.writeInt(facettes[i][4]);
      }

      dos.close();
    } catch (Exception e) {
      System.out.println(e.getMessage());
    }
  }
}
